Bug 251827 - yum builddep failure
Summary: yum builddep failure
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: yum-utils   
(Show other bugs)
Version: 7
Hardware: All Linux
low
low
Target Milestone: ---
Assignee: Seth Vidal
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-08-12 00:11 UTC by Rahul Sundaram
Modified: 2013-03-13 05:42 UTC (History)
2 users (show)

Fixed In Version: 1.1.7-1.fc7
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-09-18 03:21:18 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Rahul Sundaram 2007-08-12 00:11:05 UTC
Description of problem:


Trying to build maniadrive (game under review), the srpm lists the following
dependencies

        glew-devel is needed by maniadrive-1.2-1.i386
        ode-devel is needed by maniadrive-1.2-1.i386
        php-devel is needed by maniadrive-1.2-1.i386
        php-embedded-devel is needed by maniadrive-1.2-1.i386
        freealut-devel is needed by maniadrive-1.2-1.i386
        libjpeg-devel is needed by maniadrive-1.2-1.i386
        libXinerama-devel is needed by maniadrive-1.2-1.i386
        libvorbis-devel is needed by maniadrive-1.2-1.i386


Running yum-buildep results in this failure

yum-builddep maniadrive-1.2-1.fc8.src.rpm 
Loading "priorities" plugin
0 packages excluded due to repository priority protections
Traceback (most recent call last):
  File "/usr/bin/yum-builddep", line 103, in <module>
    main()
  File "/usr/bin/yum-builddep", line 86, in main
    pkg = base.returnPackageByDep(dep)
  File "/usr/lib/python2.5/site-packages/yum/__init__.py", line 1652, in
returnPackageByDep
    raise Errors.YumBaseError, 'No Package found for %s' % depstring
yum.Errors.YumBaseError: No Package found for php-embedded-devel

Comment 1 Seth Vidal 2007-08-12 14:31:07 UTC
okay - the traceback is definitely wrong and I've fixed it in git upstream. The
dependency looks to genuinely be missing, though.


Comment 2 Fedora Update System 2007-09-10 16:51:46 UTC
yum-utils-1.1.7-1.fc7 has been pushed to the Fedora 7 testing repository.  If problems still persist, please make note of it in this bug report.

Comment 3 Fedora Update System 2007-09-18 03:21:11 UTC
yum-utils-1.1.7-1.fc7 has been pushed to the Fedora 7 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.